Loading...
Searching...
No Matches
TrcStackElemMarker Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemMarker:
[legend]
Collaboration diagram for TrcStackElemMarker:
[legend]

## Public Member Functions

void | setMarker (const trace_marker_payload_t &marker)
const trace_marker_payload_t & | getMarker () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemMarker (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemMarker ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Marker element

Definition at line 317 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemMarker()

TrcStackElemMarker::TrcStackElemMarker | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 333 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemMarker()

virtual TrcStackElemMarker::~TrcStackElemMarker | ( |  | ) |

inline protected virtual

Definition at line 321 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getMarker()

const trace_marker_payload_t & TrcStackElemMarker::getMarker | ( |  | ) | const

inline

Definition at line 327 of file trc_etmv4_stack_elem.h.

## setMarker()

void TrcStackElemMarker::setMarker | ( | const trace_marker_payload_t & | marker | ) |

inline

Definition at line 326 of file trc_etmv4_stack_elem.h.

## Friends And Related Symbol Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 323 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h